<div class="row">
    <div class="col-md-12">
        <button *ngIf="userRole != ADMIN" data-toggle="modal"
        data-target="#addNewUnit" type="button" class="btn btn-sm btn-custom mb-3" (click)="createUnitForm()"
        data-backdrop="static" data-keyboard="false">Add New Unit</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header">
        <form class="user filterForm" [formGroup]="filterForm">
            <div class="form-group row">
                <div *ngIf="userRole == ADMIN" class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="company" class="form-control dropdown"
                        (change)="getUnits()">
                        <option value="" selected>Select Company</option>
                        <option *ngFor="let company of companies" value="{{company.company_id}}">{{company.name}}
                        </option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0" *ngIf="userRole == ADMIN">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Factory Manager</th>
                        <th *ngIf="userRole == ADMIN">Company</th>
                        <th>Address</th>
                        <th>Added By</th>
                        <th>Added On</th>
                        <th *ngIf="userRole != ADMIN">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let unit of units | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="">{{unit.unit_name}}</a></td>
                        <td>{{unit.manager}}</td>
                        <td *ngIf="userRole == ADMIN">{{unit.company}}</td>
                        <td>{{unit.address}}, {{unit.city}}, {{unit.country}}, {{unit.zip}}</td>
                        <td>{{unit.created_by}}</td>
                        <td>{{unit.created_on}}</td>
                        <td *ngIf="userRole != ADMIN">
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addNewUnit"
                                    (click)="editUnitinfo(unit)"><i class="fa fa-edit mr-2"
                                        aria-hidden="true"></i></a></span>
                        </td>
                    </tr>
                    <tr *ngIf="units==''">
                        <td colspan="7" class="text-center">No Records Found.</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="units!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>


<!-----------Add New Company Form Modal------------------------>
<div id="addNewUnit" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Add New Unit</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditNewUnit()" [formGroup]="NewUnitForm">
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Unit Name</label>
                            <input formControlName="unit_name" type="text" class="form-control form-control-user"
                                id="company">
                            <div *ngIf="submitted && formControls.unit_name.errors" class="errors">
                                <div *ngIf="formControls.unit_name.errors.required">Unit Name is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Factory Manager</label>
                            <select formControlName="manager_employee_id" class="form-control dropdown"
                                id="manager_employee_id">
                                <option *ngFor="let e of employees;" value="{{e.employee_id}}">{{e.full_name}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.manager_employee_id.errors" class="errors">
                                <div *ngIf="formControls.manager_employee_id.errors.required">Factory Manager is
                                    required</div>
                            </div>
                        </div>
                    </div>
                    <!--<div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Trim Head</label>
                            <select formControlName="trim_head_employee_id" class="form-control dropdown" id="trim_head_employee_id">
                                <option *ngFor="let e of employees;" value="{{e.employee_id}}">{{e.full_name}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.trim_head_employee_id.errors" class="errors">
                                <div *ngIf="formControls.trim_head_employee_id.errors.required">Trim Head is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Fabric Head</label>
                            <select formControlName="fabric_head_employee_id" class="form-control dropdown" id="fabric_head_employee_id">
                                <option *ngFor="let e of employees;" value="{{e.employee_id}}">{{e.full_name}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.fabric_head_employee_id.errors" class="errors">
                                <div *ngIf="formControls.fabric_head_employee_id.errors.required">Fabric Head is required</div>
                            </div>
                        </div>
                    </div>-->
                    <!-- <div class="form-group row" style="display:none">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Company</label>
                            <input formControlName="company_id" type="text" class="form-control form-control-user" id="number"
                                value="1">
                            <div *ngIf="submitted && formControls.company_id.errors" class="errors">
                                <div *ngIf="formControls.company_id.errors.required">Company is required</div>
                            </div>
                        </div>
                    </div>-->
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Address</label>
                            <input formControlName="address" type="text" class="form-control form-control-user"
                                id="address">
                            <div *ngIf="submitted && formControls.address.errors" class="errors">
                                <div *ngIf="formControls.address.errors.required">Address is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>City</label>
                            <input formControlName="city" type="text" class="form-control form-control-user" id="city">
                            <div *ngIf="submitted && formControls.city.errors" class="errors">
                                <div *ngIf="formControls.city.errors.required">City is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Country</label>
                            <input formControlName="country" type="text" class="form-control form-control-user"
                                id="country">
                            <div *ngIf="submitted && formControls.country.errors" class="errors">
                                <div *ngIf="formControls.country.errors.required">Country is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Zip Code</label>
                            <input formControlName="zip" type="number" class="form-control form-control-user" id="zip">
                            <div *ngIf="submitted && formControls.zip.errors" class="errors">
                                <div *ngIf="formControls.zip.errors.required">Zip Code is required</div>
                                <div *ngIf="formControls.zip.errors.pattern">Please enter valid zip code</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>